﻿using System.Diagnostics;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using GalaSoft.MvvmLight.Messaging;
using WpWinNl.Behaviors;

namespace DemoScreenshot.ViewModels
{
  public class MainViewModel : ViewModelBase
  {
    public MainViewModel()
    {
    }

    public ICommand ScreenshotCommand
    {
      get
      {
        return new RelayCommand(() =>
        {
          var m = new ScreenshotMessage(this, "screenshot", MyCallback);
          Messenger.Default.Send((m));
        });
      }
    }

    private void MyCallback(string name)
    {
      Debug.WriteLine(name);
    }


    private static MainViewModel instance;
    public static MainViewModel Instance
    {
      get
      {
        return instance;
      }
      set { instance = value; }
    }

    public static MainViewModel CreateNew()
    {
      if (instance == null)
      {
        instance = new MainViewModel();
      }
      return instance;
    }

  }
}
